package models

import (
	"time"

	"github.com/jinzhu/gorm"
)

type Notification struct {
	gorm.Model
	Title            string
	NotificationType string
	Text             string
	CompanyID        int
}

type EmailNotification struct {
	Subject string
	Email   string
	Body    string
}

type GetNotificationsResponse struct {
	Type     string    `json:"type"`
	Title    string    `json:"title"`
	Message  string    `json:"message"`
	DateTime time.Time `json:"datetime"`
}

func (Notification) Update() (bool, error) {
	return false, nil
}
func (Notification) Create() (bool, error) {
	return false, nil
}
func (Notification) Delete() (bool, error) {
	return false, nil
}
